package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.List;

/**
 * desc：批量新增素材请求类
 *
 * @author: YongEn
 * @date: 2021/11/8
 **/
public class BatchAddMaterialDTO implements Serializable {
    private static final long serialVersionUID = 4485943179748351877L;
    /**
     * 素材主要信息
     */
    private Material material;
    /**
     * 素材媒体信息列表
     */
    private List<MaterialMedia> materialMediaList;

    public Material getMaterial() {
        return material;
    }

    public void setMaterial(Material material) {
        this.material = material;
    }

    public List<MaterialMedia> getMaterialMediaList() {
        return materialMediaList;
    }

    public void setMaterialMediaList(List<MaterialMedia> materialMediaList) {
        this.materialMediaList = materialMediaList;
    }

    @Override
    public String toString() {
        return "BatchAddMaterialDTO{" +
                "material=" + material +
                ", materialMediaList=" + materialMediaList +
                '}';
    }

    /**
     * 素材主要信息
     */
    public static class Material implements Serializable {
        private static final long serialVersionUID = 5186039465841424394L;
        /**
         * 素材标题
         */
        private String materialTitle;
        /**
         * 素材类型
         * 素材类型, 1文本, 2图片, 3网页, 4视频, 5文件,6小程序
         */
        private Integer materialType;
        /**
         * 素材分类id
         */
        private String categoryId;
        /**
         * 企业微信id
         */
        private String wxEnterpriseId;
        /**
         * 员工id
         */
        private String staffId;
        /**
         * 员工姓名
         */
        private String staffName;

        public String getMaterialTitle() {
            return materialTitle;
        }

        public void setMaterialTitle(String materialTitle) {
            this.materialTitle = materialTitle;
        }

        public Integer getMaterialType() {
            return materialType;
        }

        public void setMaterialType(Integer materialType) {
            this.materialType = materialType;
        }

        public String getCategoryId() {
            return categoryId;
        }

        public void setCategoryId(String categoryId) {
            this.categoryId = categoryId;
        }

        public String getWxEnterpriseId() {
            return wxEnterpriseId;
        }

        public void setWxEnterpriseId(String wxEnterpriseId) {
            this.wxEnterpriseId = wxEnterpriseId;
        }

        public String getStaffId() {
            return staffId;
        }

        public void setStaffId(String staffId) {
            this.staffId = staffId;
        }

        public String getStaffName() {
            return staffName;
        }

        public void setStaffName(String staffName) {
            this.staffName = staffName;
        }
    }

    /**
     * 素材媒体信息
     */
    public static class MaterialMedia implements Serializable {
        private static final long serialVersionUID = -6540716764890860601L;
        /**
         * 素材路径
         */
        private String mediaUrl;
        /**
         * 素材名
         */
        private String mediaName;

        public String getMediaUrl() {
            return mediaUrl;
        }

        public void setMediaUrl(String mediaUrl) {
            this.mediaUrl = mediaUrl;
        }

        public String getMediaName() {
            return mediaName;
        }

        public void setMediaName(String mediaName) {
            this.mediaName = mediaName;
        }
    }


}
